Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Interface ValueManager

All Known Implementing Classes:
  AbstractColorManager, AbstractValueManager, AlignmentBaselineManager, BaselineShiftManager, ClipManager, ClipPathManager, ClipRuleManager, ColorInterpolationFiltersManager, ColorInterpolationManager, ColorManager, ColorProfileManager, ColorRenderingManager, CursorManager, DirectionManager, DisplayManager, DominantBaselineManager, EnableBackgroundManager, FillRuleManager, FilterManager, FontFamilyManager, FontSizeAdjustManager, FontSizeManager, FontStretchManager, FontStyleManager, FontVariantManager, FontWeightManager, GlyphOrientationHorizontalManager, GlyphOrientationManager, GlyphOrientationVerticalManager, IdentifierManager, ImageRenderingManager, KerningManager, LengthManager, LineHeightManager, MarginLengthManager, MarkerManager, MaskManager, OpacityManager, OverflowManager, PointerEventsManager, RectManager, ShapeRenderingManager, SpacingManager, SrcManager, StrokeDasharrayManager, StrokeDashoffsetManager, StrokeLinecapManager, StrokeLinejoinManager, StrokeMiterlimitManager, StrokeWidthManager, SVGColorManager, SVGPaintManager, TextAlignManager, TextAnchorManager, TextDecorationManager, TextRenderingManager, UnicodeBidiManager, VisibilityManager, WritingModeManager

    public interface ValueManager

This interface is implemented by objects which manage the values associated with a property.

Method Summary
`Value` | `computeValue(CSSStylableElement elt, String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Computes the given value.
`Value` | `createFloatValue(short unitType, float floatValue)` Creates and returns a new float value.
`Value` | `createStringValue(short type, String value, CSSEngine engine)` Creates and returns a new string value.
`Value` | `createValue(org.w3c.css.sac.LexicalUnit lu, CSSEngine engine)` Creates a value from a lexical unit.
`Value` | `getDefaultValue()` Returns the default value for the handled property.
`String` | `getPropertyName()` Returns the name of the property handled.
`int` | `getPropertyType()` Returns the type of value this manager handles.
`boolean` | `isAdditiveProperty()` Whether the handled property can be additively animated.
`boolean` | `isAnimatableProperty()` Whether the handled property can be animated.
`boolean` | `isInheritedProperty()` Whether the handled property is inherited or not.

Method Detail

### getPropertyName

    String getPropertyName()

  Returns the name of the property handled.

### isInheritedProperty

    boolean isInheritedProperty()

  Whether the handled property is inherited or not.

### isAnimatableProperty

    boolean isAnimatableProperty()

  Whether the handled property can be animated.

### isAdditiveProperty

    boolean isAdditiveProperty()

  Whether the handled property can be additively animated.

### getPropertyType

    int getPropertyType()

  Returns the type of value this manager handles. This should be one of the TYPE_* constants defined in `SVGTypes`.

### getDefaultValue

    Value getDefaultValue()

  Returns the default value for the handled property.

### createValue

    Value createValue(org.w3c.css.sac.LexicalUnit lu,
                      CSSEngine engine)
                      throws DOMException

  Creates a value from a lexical unit.

  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `DOMException`

### createFloatValue

    Value createFloatValue(short unitType,
                           float floatValue)
                           throws DOMException

  Creates and returns a new float value.

  Parameters:
    `unitType` - A unit code as defined above. The unit code can only be a float unit type
    `floatValue` - The new float value.
  Throws:
    `DOMException`

### createStringValue

    Value createStringValue(short type,
                            String value,
                            CSSEngine engine)
                            throws DOMException

  Creates and returns a new string value.

  Parameters:
    `type` - A string code as defined in CSSPrimitiveValue. The string code can only be a string unit type.
    `value` - The new string value.
    `engine` - The CSS engine.
  Throws:
    `DOMException`

### computeValue

    Value computeValue(CSSStylableElement elt,
                       String pseudo,
                       CSSEngine engine,
                       int idx,
                       StyleMap sm,
                       Value value)

  Computes the given value.

  Parameters:
    `elt` - The owner of the value.
    `pseudo` - The pseudo element.
    `engine` - The CSSEngine.
    `idx` - The property index in the engine.
    `sm` - The computed style map.
    `value` - The value to compute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.